Devuan bug report logs - #136
Names of 'proposed-updates' repositories are incorrect causing `apt update` to fail

Severity: critical;
Package: devuan-www; Reported by: go2null <1t1is2@gmail.com>;
Date: Fri, 18 Aug 2017 17:18:01 UTC;
Tags: ascii, jessie; Done: KatolaZ <katolaz@freaknet.org>;
Maintainer for devuan-www is golinux <golinux@dyne.org>.

View this report as an mbox folder.


Report forwarded to devuan-bugs@lists.dyne.org, golinux <golinux@dyne.org>:
bug#136; Package devuan-www. Full text available.



Acknowledgement sent to go2null <1t1is2@gmail.com>:
New bug report received and forwarded. Copy sent to golinux <golinux@dyne.org>. Full text available.



Message received at submit@bugs.devuan.org:

From: go2null <1t1is2@gmail.com>
Date: Fri, 18 Aug 2017 13:09:44 -0400
Subject: Names of 'proposed-updates' repositories are incorrect causing `apt
To: submit@bugs.devuan.org

[Message part 1 (text/plain, inline)]

Package: devuan-www
Severity: critical
Tags: jessie ascii

SEVERITY is set to CRITICAL as it caused my `apt update` to fail, and it
took several day before I had the time to troubleshoot.

[https://devuan.org/os/etc/apt/sources.list] and [
https://devuan.org/os/etc/apt/sources.list.d/] both incorrectly name the
`proposed-updates` repositories as `XXX-update`.

For example, `jessie-proposed` instead of `jessie-proposed-updates`.

The actual repository names are provided below as taken from [
http://auto.mirror.devuan.org/merged/dists/]

=======================
Index of /merged/dists/

________________________________

../
1.0/                                               18-Aug-2017 08:45
            -
2.0/                                               18-Aug-2017 09:35
            -
ascii/                                             18-Aug-2017 09:35
            -
ascii-backports/                                   18-Aug-2017 12:03
            -
ascii-proposed-updates/                            18-Aug-2017 12:03
            -
ascii-security/                                    18-Aug-2017 12:03
            -
ascii-updates/                                     18-Aug-2017 12:02
            -
ceres/                                             18-Aug-2017 11:39
            -
jessie/                                            18-Aug-2017 08:45
            -
jessie-backports/                                  18-Aug-2017 12:21
            -
jessie-proposed-updates/                           18-Aug-2017 12:02
            -
jessie-security/                                   18-Aug-2017 12:07
            -
jessie-updates/                                    18-Aug-2017 12:02
            -
sid/                                               18-Aug-2017 11:39
            -
stable/                                            18-Aug-2017 08:45
            -
stable-backports/                                  18-Aug-2017 12:21
            -
stable-proposed-updates/                           18-Aug-2017 12:02
            -
stable-updates/                                    18-Aug-2017 12:02
            -
testing/                                           18-Aug-2017 09:35
            -
testing-backports/                                 18-Aug-2017 12:03
            -
testing-proposed-updates/                          18-Aug-2017 12:03
            -
testing-updates/                                   18-Aug-2017 12:02
            -
unstable/                                          18-Aug-2017 11:39
            -

________________________________
=======================

NOTE that the `proposed` name is more consistent with the single word names
than `proposed-updates` and is also more aesthetically pleasing :-)

As such,it would be more appropriate to file the bug on the `
auto.mirror.devuan.org` package to change the directories in [
http://auto.mirror.devuan.org/merged/dists/], but I expect that to be much
more involved than changing the documentation.

[Message part 2 (text/html, inline)]






Information forwarded to devuan-bugs@lists.dyne.org, golinux <golinux@dyne.org>:
bug#136; Package devuan-www. Full text available.



Acknowledgement sent to KatolaZ <katolaz@freaknet.org>:
Extra info received and forwarded to list. Copy sent to golinux <golinux@dyne.org>. Full text available.



Message received at 136@bugs.devuan.org:

Date: Fri, 18 Aug 2017 22:20:51 +0100
From: KatolaZ <katolaz@freaknet.org>
To: 136@bugs.devuan.org
Subject: Re: [Devuan-bugs] bug#136: Names of 'proposed-updates' repositories

[Message part 1 (text/plain, inline)]

On Fri, Aug 18, 2017 at 01:09:44PM -0400, Where all about bugs in Devuan packages is reported wrote:
> Package: devuan-www
> Severity: critical
> Tags: jessie ascii
> 
> SEVERITY is set to CRITICAL as it caused my `apt update` to fail, and it
> took several day before I had the time to troubleshoot.
> 
> [https://devuan.org/os/etc/apt/sources.list] and [
> https://devuan.org/os/etc/apt/sources.list.d/] both incorrectly name the
> `proposed-updates` repositories as `XXX-update`.
> 
> For example, `jessie-proposed` instead of `jessie-proposed-updates`.

"*-proposed" and "*-proposed-updates" are two different suites. In
particular, the former ones are only available under "/devuan" while
the latter ones are available under "/merged" since they are merged
with those coming from Debian.

My2Cents

KatolaZ

-- 
[ ~.,_  Enzo Nicosia aka KatolaZ - GLUGCT -- Freaknet Medialab  ]  
[     "+.  katolaz [at] freaknet.org --- katolaz [at] yahoo.it  ]
[       @)   http://kalos.mine.nu ---  Devuan GNU + Linux User  ]
[     @@)  http://maths.qmul.ac.uk/~vnicosia --  GPG: 0B5F062F  ] 
[ (@@@)  Twitter: @KatolaZ - skype: katolaz -- github: KatolaZ  ]

[signature.asc (application/pgp-signature, inline)]






Reply sent to KatolaZ <katolaz@freaknet.org>:
You have taken responsibility. Full text available.



Notification sent to go2null <1t1is2@gmail.com>:
bug acknowledged by developer. Full text available.



Message received at 136-done@bugs.devuan.org:

Date: Thu, 7 Dec 2017 18:33:32 +0000
From: KatolaZ <katolaz@freaknet.org>
To: 136-done@bugs.devuan.org
Subject: corrected in www.devuan.org

[Message part 1 (text/plain, inline)]

This has been corrected in www.devuan.org. See for instance:

  https://devuan.org/os/etc/apt/sources.list.d/devuan-stable-proposed-updates.list

I am closing the bug now.

[signature.asc (application/pgp-signature, inline)]






Tags added: jessie Request was from KatolaZ <katolaz@freaknet.org> to control@bugs.devuan.org. Full text available.



Devuan BTS -- Powered by Debian bug tracking system
Copyright (C) 1999 Darren O. Benham,
1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.

Devuan Bugs Owner <owner@bugs.devuan.org>.
Last modified: Wed, 17 Jan 2018 09:13:46 UTC